<?php 
use_helper('I18N', 'stAdminGenerator', 'Validation');
echo st_get_admin_head('appKlikochronPlugin', __('Konfiguracja'), '', array());
st_view_slot_start('application-menu');
st_include_partial('appKlikochronBackend/menu'); 
st_view_slot_end();
?>
<div id="sf_admin_content" class="admin-content-edit">
<?php st_include_partial('stAdminGenerator/message', array('labels' => $labels));?>
<?php echo form_tag('klikochron/index', array('id' => 'sf_admin_config_form', 'name' => 'sf_admin_config_form', 'class' => 'admin_form'));?>
    <fieldset>
        <h2><?php echo __('Ustawienia główne');?></h2>
        <div class="content">
            <?php echo st_admin_get_form_field('config[enabled]', __('Aktywuj klikochron'), 1, 'checkbox_tag', array('checked' => $config->get('enabled'))); ?>
            <?php echo st_admin_get_form_field('config[has_category_import]', __('Aktywuj eksport kategorii'), 1, 'checkbox_tag', array('checked' => $config->get('has_category_import'))); ?>
            <?php echo st_admin_get_form_field('config[has_debug_mode]', __('Aktywuj tryb debug'), 1, 'checkbox_tag', array('checked' => $config->get('has_debug_mode'))); ?>
            <?php echo st_admin_get_form_field('config[has_test_mode]', __('Aktywuj tryb testowy'), 1, 'checkbox_tag', array('checked' => $config->get('has_test_mode'))); ?>
            <?php echo st_admin_get_form_field('config[partner_id]', __('ID partnera'), $config->get('partner_id'), 'input_tag', array('size' => 10)); ?>
            <?php echo st_admin_get_form_field('config[shop_id]', __('ID sklepu'), $config->get('shop_id'), 'input_tag', array('size' => 10)); ?>
        </div>
    </fieldset>
    <fieldset>
    <h2><?php echo __('Informacje');?></h2>
        <div class="content">
            <div class="row">
                <?php echo label_for('config[url_ok]', __('Adres skryptu z kategoriami'), array());?>
                <div class="field" style="padding-top: 15px;"><a href="http://<?php echo $webRequest->getHost(); ?>/klikochron/getCategoriesJson">http://<?php echo $webRequest->getHost(); ?>/klikochron/getCategoriesJson</a></div>
                <div class="clr"></div>
            </div>
        </div>
    </fieldset>
    <div id="config_actions">
    <?php echo st_get_admin_actions_head();?>
        <?php echo st_get_admin_action('save', __('Zapisz', array(), 'stAdminGeneratorPlugin'), null, array('name' => 'save'));?>
    <?php echo st_get_admin_actions_foot();?>
    </div>
</form>
</div>
 <div class="clr"></div>
<?php echo st_get_admin_foot();?>

<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>
