<?php

class appKlikochronBackendActions extends stAdminGeneratorActions{

    public function executeIndex() {

        $i18n = $this->getContext()->getI18N();
        $this->labels = array(  'config{partner_id}' => $this->getContext()->getI18n()->__('ID partnera'),
                                'config{shop_id}' => $this->getContext()->getI18n()->__('ID sklepu'));
            
        $this->config = stConfig::getInstance('appKlikochronPlugin');

        if ($this->getRequest()->getMethod() == sfRequest::POST) {
            $this->config->setFromRequest('config');
            $this->config->save();
            $this->setFlash('notice', 'Twoje zmiany zostały zapisane');
            
            stTheme::clearSmartyCache();
            stFastCacheManager::clearCache();
        }

        $this->webRequest = new stWebRequest();

        $this->getBreadcrumbs()->add($i18n->__('Konfiguracja', null, 'stAdminGeneratorPlugin'));
    }

    public function handleErrorIndex() {
        
        $this->config = stConfig::getInstance('appKlikochronPlugin');

        $this->labels = array(  'config{partner_id}' => $this->getContext()->getI18n()->__('ID partnera'),
                                'config{shop_id}' => $this->getContext()->getI18n()->__('ID sklepu'));

        $this->webRequest = new stWebRequest();

        return sfView::SUCCESS;
    }



    protected function getBreadcrumbs(){
        
        if (null === $this->breadcrumbs){
            $i18n = $this->getContext()->getI18N();
            $this->breadcrumbs = parent::getBreadcrumbs();
            $this->breadcrumbs->add($i18n->__('Simplesurance'), '@appKlikochronPlugin');
        }

        return $this->breadcrumbs;
    }
}
