<?php

class appKlikochronFrontendActions extends stActions {

    public function executeGetCategoriesJson() {
        $config = stConfig::getInstance('appKlikochronPlugin');

        if (!$config->get('has_category_import'))
        {
            return $this->renderText('category export disabled');
        }

        $categories = CategoryPeer::doSelect(new Criteria());

        $array = array();
        foreach ($categories as $category) {
            $array[] = array(   'id' => $category->getId(),
                                'name' => $category->getName(),
                                'parent_id' => $category->getParentId() ? $category->getParentId() : 0,
                            );
        }

        return $this->renderText(json_encode($array));
    }
}
